


#include "Wagnis.h"



namespace orxonox{

RegisterClass(Wagnis);

//Constructor
Wagnis::Wagnis(Context* context) : Deathmatch(context){
    RegisterObject(Wagnis);
    this->gameBoard = nullptr;
    this->gameStage = NOT_READY;

    int n = 3;
    for(int i = 1;i <= n;i++){
        WagnisPlayer* p = new WagnisPlayer(context);
        p->gameBoard = this->gameBoard;
        this->players.push_back(p);
    }
}
//Destructor
Wagnis::~Wagnis(){}


//Runs the game
void Wagnis::start(){
    //SUPER(Wagnis,start);
    this->createGame();
}

//Tick
void Wagnis::tick(float dt){
    SUPER(Wagnis,tick,dt);
}

//Creates and links all needed classes
void Wagnis::createGame(){\
    orxout() << "Game creation started";

    if(!findGameBoard()){
        orxout() << "Error: GameBoard not found";
    }

    this->gameBoard->initializeNeighbors();
    orxout() << "Game creation finished";
}

//Finds the pointer to the gameBoard
bool Wagnis::findGameBoard(){
    for (WagnisGameboard* gb : ObjectList<WagnisGameboard>()){
        this->gameBoard = gb;
        orxout()<<"Gameboard pointer found and added";
        return true;
    }
    return false;
}













}


        
    